Subject: Getting a network interface list from within the kernel

From: David Howells <[email-masked]>
Date: Thu, 12 Apr 2007 21:51:50 +0100

I need to get a list of the IPv4 addresses bound to network interfaces from
within the kernel to be able to present it to an AFS server when it asks.
This is handled by the AFS client filesystem.

I also need to be able to get the netmasks and MTUs for those interfaces.

What's the best way of doing this, assuming it's possible at all?

David